0

I did a sudo apt update and sudo apt upgrade in Ubuntu 18.04. There was about 60MB to install and it was mostly libmono stuff. In the middle of it installing it just started displaying the same text over and over about an error.

I hope this is and acceptable way of providing code, I'm new to the site and don't know how to properly format it.

https://github.com/Etheraex/Apt-error/blob/master/Error

I tried uninstalling mono and monodevelop (I didn't really use them; I just wanted to see how C# development would go on Linux), but it won't let me.

Also:

home@Mladen-PC:~/Desktop/123$ apt --fix-broken install
E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: 
Permission denied)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock- 
frontend), are you root?

home@Mladen-PC:~/Desktop/123$ sudo !!

sudo apt --fix-broken install

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... failed.
The following packages have unmet dependencies:
mono-devel : Depends: ca-certificates-mono (= 5.18.0.225-        
0xamarin1+ubuntu1804b1) but 5.16.0.220-0xamarin4+ubuntu1804b1 is 
installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be 
caused             
by held packages.
E: Unable to correct dependencies

After dissabling and enabling ppa for mono sudo apt --fix-broken install started displaying the same output that is in the github file.

3
  • Welcome to Askubuntu. Can you please copy and paste the output instead of posting pictures, thanks. – mchid Dec 26 '18 at 12:39
  • Did you run sudo apt --fix-broken install? – George Udosen Dec 26 '18 at 13:09
  • Yes I added the output in the post. – Apocryphon Dec 26 '18 at 13:12
-1

Fixed it, here is a link to a thread if anyone encounters the same issue. https://old.reddit.com/r/linuxquestions/comments/a9nukf/regular_update_messed_something_upubuntu_1804/

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.